import { DTOrder } from './types';
declare const _default: import('vue').DefineComponent<{
    dataSource: {
        type: import('vue').PropType<import('./types').DTDataSource>;
        default: string;
    };
    url: {
        type: import('vue').PropType<string | null>;
        default: null;
    };
    items: {
        type: import('vue').PropType<import('./types').DTRowItem[]>;
        default: () => never[];
    };
    pagination: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowsPerPageCount: {
        type: NumberConstructor;
        default: number;
    };
    rowsPerPageOptions: {
        type: import('vue').PropType<number[]>;
        default: () => number[];
    };
    searching: {
        type: BooleanConstructor;
        default: boolean;
    };
    orderBy: {
        type: import('vue').PropType<string | null>;
        required: boolean;
        default: null;
    };
    orderDirection: {
        type: import('vue').PropType<import('./types').DTOrderDirection>;
        default: string;
    };
    rowSelection: {
        type: BooleanConstructor;
        default: boolean;
    };
    actions: {
        type: BooleanConstructor;
        default: boolean;
    };
    numbering: {
        type: BooleanConstructor;
        default: boolean;
    };
    scrollX: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedColumnsStart: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
    fixedColumnsEnd: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
}, {
    error: import('vue').Ref<import('./composables/useErrors').TError | null>;
    search: import('vue').Ref<string>;
    page: import('vue').Ref<number>;
    rowsPerPage: import('vue').Ref<number>;
    order: import('vue').Ref<import('./types').DTOrderColumn | null>;
    columns: import('vue').Ref<import('./types').DTColumn[]>;
    tableData: import('vue').Ref<import('./types').DTTableData | null>;
    selectedRowIndexes: import('vue').Ref<number[]>;
    isSelectedAll: import('vue').ComputedRef<boolean>;
    handleSearchInput: (value: string) => void;
    handleRowsPerPageInput: (value: number) => void;
    handlePageInput: (value: number) => void;
    handleOrderUpdate: (value: DTOrder) => void;
    handleSelectAll: () => void;
    handleDeselectAll: () => void;
    handleSelectRow: (index: number) => void;
    handleDeselectRow: (index: number) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "update:selected-rows"[], string, Readonly<import('vue').ExtractPropTypes<{
    dataSource: {
        type: import('vue').PropType<import('./types').DTDataSource>;
        default: string;
    };
    url: {
        type: import('vue').PropType<string | null>;
        default: null;
    };
    items: {
        type: import('vue').PropType<import('./types').DTRowItem[]>;
        default: () => never[];
    };
    pagination: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowsPerPageCount: {
        type: NumberConstructor;
        default: number;
    };
    rowsPerPageOptions: {
        type: import('vue').PropType<number[]>;
        default: () => number[];
    };
    searching: {
        type: BooleanConstructor;
        default: boolean;
    };
    orderBy: {
        type: import('vue').PropType<string | null>;
        required: boolean;
        default: null;
    };
    orderDirection: {
        type: import('vue').PropType<import('./types').DTOrderDirection>;
        default: string;
    };
    rowSelection: {
        type: BooleanConstructor;
        default: boolean;
    };
    actions: {
        type: BooleanConstructor;
        default: boolean;
    };
    numbering: {
        type: BooleanConstructor;
        default: boolean;
    };
    scrollX: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedColumnsStart: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
    fixedColumnsEnd: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
}>>, {
    dataSource: import('./types').DTDataSource;
    url: string | null;
    items: import('./types').DTRowItem[];
    pagination: boolean;
    rowsPerPageCount: number;
    rowsPerPageOptions: number[];
    searching: boolean;
    orderBy: string | null;
    orderDirection: import('./types').DTOrderDirection;
    rowSelection: boolean;
    actions: boolean;
    numbering: boolean;
    scrollX: boolean;
    fixedColumnsStart: number;
    fixedColumnsEnd: number;
}>;
export default _default;
